Bug 63843 - Error in sample script new_fax.tiff
Error in sample script new_fax.tiff
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-19 08:06 EDT by Terje Trane
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Trane 2002-04-19 08:06:47 EDT
Description of Problem:

There two errors in the contributed sample script /usr/doc/mgetty-
1.1.25/samples/new_fax.tiff. The line 

    FAX=`echo $1|sed 's/...$//'`  

should have the $1 changed to $4. (This is supposed to be the filename without 
the page number: .01, .02 ....)

The line 

    metasend -b -F "Fax Getty <root>" -f /tmp/$FAX_BASENAME.tiff \
      -m image/tiff -s "fax from $SENDER" -S 4000000 -t $MAILTO  

has a space after the backslash that shouln't be there. (The backslash does not 
work as supposed unless it is the very last character before the newline.)

Also, if the 

    MAILTO="Faxverteiler <fax>" 

could be replaced with

    MAILTO="faxadmin"
 
it will work right away for all that sets up /etc/aliases as suggested in the 
docs.


Version-Release number of selected component (if applicable):

mgetty-1.1.25-4.6.i386.rpm in RH6.2 updates (also mgetty-1.1.21-4.i386.rpm in 
original RH6.2)
Comment 1 Jason Vas Dias 2005-08-01 18:31:35 EDT
Sorry for the long delay in processing this bug report. It got mislaid somehow.
This is now fixed in Rawhide (mgetty-1.1.33-4_FC5).

Comment 2 Bill Nottingham 2006-08-04 16:12:07 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.